Page MenuHomePhabricator

Maven emits download progress report in java-codehealth-patch job
Closed, ResolvedPublic

Description

The job https://integration.wikimedia.org/ci/job/java-codehealth-patch/ consoles are filed with Maven progress reports while it is downloading artifacts. Everything act as if --batch-mode was not passed to it.

Event Timeline

hashar created this task.Oct 19 2020, 3:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2020, 3:26 PM
hashar added a comment.EditedOct 19 2020, 3:27 PM

The reason is the image entry point invokes ./mvnw directly instead of relying on our local mvn which injects --batch-mode (and does have support for mvnw).

The feature got introduced by 9eeac5f21fcc0b1dee6c3b9094bebbd7b39ca5e9

Change 635002 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dockerfiles: use our mvn wrapper in sonar-scanner

https://gerrit.wikimedia.org/r/635002

Change 635002 merged by jenkins-bot:
[integration/config@master] dockerfiles: use our mvn wrapper in sonar-scanner

https://gerrit.wikimedia.org/r/635002

Mentioned in SAL (#wikimedia-releng) [2020-10-20T09:49:47Z] <hashar> Successfully tagged docker-registry.discovery.wmnet/releng/sonar-scanner:1.0.1 # T265913

Change 635263 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: use our mvn wrapper for java codehealth

https://gerrit.wikimedia.org/r/635263

hashar closed this task as Resolved.Oct 20 2020, 9:52 AM
09:51:39 Status: Downloaded newer image for docker-registry.wikimedia.org/releng/sonar-scanner:1.0.1
09:51:39 + ./mvnw --batch-mode -gs /settings.xml clean install
09:51:39 mvn wrapper: mvnw detected in this project, using it instead of local Maven install.

09:51:44 [INFO] Scanning for projects...
09:51:44 [INFO] Downloading from wmf.mirrored: https://archiva.wikimedia.org/repository/mirrored/org/wikimedia/discovery/discovery-parent-pom/1.48/discovery-parent-pom-1.48.pom

09:51:47 [INFO] Downloaded from wmf.mirrored: https://archiva.wikimedia.org/repository/mirrored/org/wikimedia/discovery/discovery-parent-pom/1.48/discovery-parent-pom-1.48.pom (47 kB at 16 kB/s)
09:51:47 [INFO] Downloading from wmf.mirrored: https://archiva.wikimedia.org/repository/mirrored/com/fasterxml/jackson/jackson-bom/2.6.7/jackson-bom-2.6.7.pom

09:51:50 [INFO] Downloaded from wmf.mirrored: https://archiva.wikimedia.org/repository/mirrored/com/fasterxml/jackson/jackson-bom/2.6.7/jackson-bom-2.6.7.pom (9.9 kB at 4.0 kB/s)

Change 635263 merged by jenkins-bot:
[integration/config@master] jjb: use our mvn wrapper for java codehealth

https://gerrit.wikimedia.org/r/635263